- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDiscriminator
TInlineParameterMapParser
TParameterMap
TParameterProperty
TResultMap
TResultProperty
TSimpleDynamicParser
TSqlMapCacheKey
TSqlMapCacheModel
TSqlMapCacheTypes
TSqlMapDelete
TSqlMapInsert
TSqlMapSelectKey
TSqlMapStatement
TSqlMapUpdate
TSqlMapXmlConfigBuilder
TSqlMapXmlConfiguration
TSqlMapXmlMappingConfiguration
TSubMap

Keyword

# Class TSqlMapSelectKey

    TComponent
       |
       --TSqlMapStatement
          |
          --TSqlMapSelectKey

TSqlMapSelect corresponds to the <selectKey> element.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
boolean | getIsAfter ()
string | getProperty ()
string | getType ()
void | setExtends ( mixed $value)
void | setProperty ( string $value)
void | setType ( string $value)

Methods Inherited From TSqlMapStatement

TSqlMapStatement::createInstanceOf(), TSqlMapStatement::createInstanceOfListClass(), TSqlMapStatement::createInstanceOfResultClass(), TSqlMapStatement::getCache(), TSqlMapStatement::getCacheModel(), TSqlMapStatement::getExtends(), TSqlMapStatement::getID(), TSqlMapStatement::getListClass(), TSqlMapStatement::getParameterClass(), TSqlMapStatement::getParameterMap(), TSqlMapStatement::getResultClass(), TSqlMapStatement::getResultMap(), TSqlMapStatement::getSqlText(), TSqlMapStatement::initialize(), TSqlMapStatement::parameterMap(), TSqlMapStatement::resultMap(), TSqlMapStatement::setCache(), TSqlMapStatement::setCacheModel(), TSqlMapStatement::setExtends(), TSqlMapStatement::setID(), TSqlMapStatement::setInlineParameterMap(), TSqlMapStatement::setListClass(), TSqlMapStatement::setParameterClass(), TSqlMapStatement::setParameterMap(), TSqlMapStatement::setResultClass(), TSqlMapStatement::setResultMap(), TSqlMapStatement::setSqlText()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getIsAfter

public boolean getIsAfter | ()

Output
boolean | true if key is generated after insert command, false otherwise.
Exception

## getProperty

public string getProperty | ()

Output
string | property name for the generated key.
Exception

## getType

public string getType | ()

Output
string | select generated key type, 'post' or 'pre'.
Exception

## setExtends

public void setExtends | (mixed $value )

Input
mixed | $value |
Output
Exception
throws | TSqlMapConfigurationException extends is unsupported.

## setProperty

public void setProperty | (string $value )

Input
string | $value | property name for the generated key.
Output
Exception

## setType

public void setType | (string $value )

Input
string | $value | select generated key type, 'post' or 'pre'.
Output
Exception